
===================================================
;; Builds a 2D polyline from coord pairs in a file.
;; X and Y coords are separated by one space, e.g.:
;; .....
;; 0.45676 3.456789
;; 2.34 4.78978
;; .....
;; any non-digital information is ignored
;;
;; S.Komarov 30/03/97

(defun C:DRAWPOLY( / olc fin f len str fs x y i plist)
   (setq fin (getfiled "Select file" "" "" 4))
   (setq f (open fin "r") plist '())
   (if f
     (progn
       (setq olc (getvar "CMDECHO"))(setvar "CMDECHO" 0)
        (while (setq str (read-line f))
          (setq len (strlen str) fs (ascii (substr str 1 1)))
            (if (or (= fs 46)(and (<= 48 fs)(>= 57 fs)))
             (progn
               (setq x (atof str) i 1)
               (while (and (< i len)(/= (substr str i 1) " "))(setq i (1+ i)))
               (setq plist (cons (list x (atof (substr str i))) plist))
             )
            )
        )
       (command "_PLINE")
       (mapcar 'command plist)
       (command "")
       (setvar "CMDECHO" olc)
     )
    (prompt (strcat "File " fin " not found!"))
   )
  (princ)
)
(prompt "Program loaded. Call by DRAWPOLY.")(princ)